[libcatalyst-modules-perl] 02/10: make sure patch directories/symlinks exist after the patch target
Damyan Ivanov
dmn at moszumanska.debian.org
Mon May 12 10:09:44 UTC 2014
This is an automated email from the git hooks/post-receive script.
dmn pushed a commit to branch master
in repository libcatalyst-modules-perl.
commit bfeb14323be1ea37c3ed3fc35ff628ea8aef82ef
Author: Damyan Ivanov <dmn at debian.org>
Date: Mon May 12 08:06:05 2014 +0000
make sure patch directories/symlinks exist after the patch target
if they are empty Git ignores them and having them always present
helps when starting a patch series for a given module
---
debian/make-module.sh | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/debian/make-module.sh b/debian/make-module.sh
index 6afb915..31ec141 100755
--- a/debian/make-module.sh
+++ b/debian/make-module.sh
@@ -41,10 +41,13 @@ if [ "$1" = patch -o "$1" = unpatch ]; then
cd $dir
for module in *
do
- [ -d $ROOT/debian/patches/$module ] || continue
+ mkdir -p $ROOT/debian/patches/$module
+ [ -h $module/patches ] || ln -s $ROOT/debian/patches/$module $module/patches
+
+ [ -e $module/patches/series ] || continue
+
echo "Applying patches for $module:"
cd $module
- [ -h patches ] || ln -s $ROOT/debian/patches/$module patches
QUILT_PATCHES=patches quilt --quiltrc /dev/null $action -a || test $? = 2
cd ..
done
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-perl/packages/libcatalyst-modules-perl.git
More information about the Pkg-perl-cvs-commits
mailing list